# Generate JIT label

This method is used to generate a Just-In-Time shipping label for your Orders. It can be used to print just a label or a packingslip and a label. You can choose from PDF or PNG format.

Endpoint: POST /api/SalesOrder/GenerateJitLabel
Version: 3.1.3

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `OrderNo` (string, required)
    Reference to your order, use CreateSalesOrder to post the order before generating a jit label
    Example: #1234

  - `AlternateLabelFormat` (string)
    used to generate different label formats
    Enum: "FullPDF", "FullPNG", "LabelPDF", "LabelPNG"

## Response 200 fields (application/json):

  - `OrderNo` (string, required)
    Example: #1234

  - `JITLabelID` (string)
    The unique JIT Label ID used for warehouse processing
    Example: #xyz1234

  - `DataFormat` (string, required)

  - `File` (string, required)
    encoded PDF per data format, base64 encoded PDF is standard
    Example: JVBERi0xLjQKJfbk/N8KMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovVmVyc2lvbiAvMS40Ci9QYWdlcyAyIDAgUgovUGFnZUxhYmVscyAzIDAgUgovTWV0YWRhdGEgNCAwIFIKL1N0cnVjdFRyZWVSb290IDUgMCBSCi9NYXJrSW5mbyA2IDAgUgovTGFuZyAoZW4p…

